# Uses of Interface
org.apache.cxf.common.security.SecurityToken

Packages that use SecurityToken
Package
Description
org.apache.cxf.common.security
org.apache.cxf.interceptor.security

- ## Uses of SecurityToken in org.apache.cxf.common.security

  Classes in org.apache.cxf.common.security that implement SecurityToken
  Modifier and Type
  Class
  Description
  `class`
  `UsernameToken`

- ## Uses of SecurityToken in org.apache.cxf.interceptor.security

  Methods in org.apache.cxf.interceptor.security with parameters of type SecurityToken
  Modifier and Type
  Method
  Description
  `protected abstract Subject`
  AbstractSecurityContextInInterceptor.`createSubject(SecurityToken token)`
  `protected Subject`
  AbstractUsernameTokenInInterceptor.`createSubject(SecurityToken token)`